Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`protocols`.`amp`.`UnknownRemoteError``

exception documentation

`class UnknownRemoteError(RemoteAmpError): (source)`

Constructor: `UnknownRemoteError(description)`

View In Hierarchy

This means that an error whose type we can't identify was raised from the other side.

Method | `__init__` | Create a remote error with an error code and description.

Inherited from `RemoteAmpError`:

Instance Variable | `description` | Undocumented
Instance Variable | `errorCode` | Undocumented
Instance Variable | `fatal` | Undocumented
Instance Variable | `local` | Undocumented

def __init__(self, description): (source)
overrides `twisted.protocols.amp.RemoteAmpError.__init__`

Create a remote error with an error code and description.

Parameters
description:`str` | some text to show to the user.
errorCode:`bytes` | the AMP error code of this error.
fatal | a boolean, true if this error should terminate the connection.
local | a local Failure, if one exists.